Chromium Code Reviews
Help | Chromium Project | Sign in
(456)

Issue 11444020: DIAL extension API skeleton. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 4 months ago by justinlin (ooo)
Modified:
1 year, 4 months ago
CC:
chromium-reviews_chromium.org, Aaron Boodman, chromium-apps-reviews_chromium.org
Visibility:
Public.

Description

DIAL (Discovery and Launch protocol) extension API skeleton.

This implements the skeleton for a new Chrome extension API for local device discovery. The API will first be restricted to whitelisted extensions only. The API will allow extensions to receive events from a DIAL service running within Chrome which notifies of devices being discovered on the local network.

Spec available here:
https://docs.google.com/a/google.com/document/d/14FI-VKWrsMG7pIy3trgM3ybnKS-o5TULkt8itiBNXlQ/edit

BUG=163288
TBR=ben@chromium.org

Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=172243

Patch Set 1 #

Patch Set 2 : fix nits #

Total comments: 4

Patch Set 3 : Rebase, merge, fix tests #

Patch Set 4 : Use RunExtensionSubtests #

Patch Set 5 : abc.... #

Unified diffs Side-by-side diffs Delta from patch set Stats (+903 lines, -2 lines) Lint Patch
A chrome/browser/extensions/api/dial/dial_api.h View 1 2 1 chunk +98 lines, -0 lines 0 comments 1 errors Download
A chrome/browser/extensions/api/dial/dial_api.cc View 1 2 1 chunk +125 lines, -0 lines 0 comments 1 errors Download
A chrome/browser/extensions/api/dial/dial_api_factory.h View 1 chunk +39 lines, -0 lines 0 comments ? errors Download
A chrome/browser/extensions/api/dial/dial_api_factory.cc View 1 chunk +49 lines, -0 lines 0 comments 2 errors Download
A chrome/browser/extensions/api/dial/dial_apitest.cc View 1 2 3 1 chunk +107 lines, -0 lines 0 comments ? errors Download
A chrome/browser/extensions/api/dial/dial_device_data.h View 1 chunk +81 lines, -0 lines 0 comments ? errors Download
A chrome/browser/extensions/api/dial/dial_device_data.cc View 1 chunk +74 lines, -0 lines 0 comments ? errors Download
A chrome/browser/extensions/api/dial/dial_registry.h View 1 chunk +70 lines, -0 lines 0 comments ? errors Download
A chrome/browser/extensions/api/dial/dial_registry.cc View 1 chunk +41 lines, -0 lines 0 comments ? errors Download
M chrome/browser/extensions/event_names.h View 1 chunk +3 lines, -0 lines 0 comments ? errors Download
M chrome/browser/extensions/event_names.cc View 1 chunk +2 lines, -0 lines 0 comments ? errors Download
M chrome/browser/profiles/profile_dependency_manager.cc View 1 2 2 chunks +2 lines, -0 lines 0 comments 0 errors Download
M chrome/chrome_browser_extensions.gypi View 1 2 3 4 1 chunk +8 lines, -0 lines 0 comments ? errors Download
M chrome/chrome_tests.gypi View 1 2 3 chunks +3 lines, -2 lines 0 comments ? errors Download
M chrome/common/extensions/api/_permission_features.json View 1 chunk +8 lines, -0 lines 0 comments ? errors Download
M chrome/common/extensions/api/api.gyp View 1 chunk +1 line, -0 lines 0 comments ? errors Download
A chrome/common/extensions/api/dial.idl View 1 chunk +71 lines, -0 lines 0 comments ? errors Download
M chrome/common/extensions/permissions/api_permission.h View 1 chunk +1 line, -0 lines 0 comments ? errors Download
M chrome/common/extensions/permissions/api_permission.cc View 1 1 chunk +1 line, -0 lines 0 comments ? errors Download
M chrome/common/extensions/permissions/permission_set_unittest.cc View 1 2 1 chunk +1 line, -0 lines 0 comments 0 errors Download
A chrome/test/data/extensions/api_test/dial/experimental/discovery.html View 1 2 3 1 chunk +1 line, -0 lines 0 comments ? errors Download
A chrome/test/data/extensions/api_test/dial/experimental/discovery.js View 1 2 3 1 chunk +32 lines, -0 lines 0 comments ? errors Download
A chrome/test/data/extensions/api_test/dial/experimental/manifest.json View 1 2 1 chunk +11 lines, -0 lines 0 comments ? errors Download
A chrome/test/data/extensions/api_test/dial/experimental/runtest.js View 1 2 3 1 chunk +50 lines, -0 lines 0 comments ? errors Download
A chrome/test/data/extensions/api_test/dial/whitelist/manifest.json View 1 1 chunk +10 lines, -0 lines 0 comments ? errors Download
A chrome/test/data/extensions/api_test/dial/whitelist/runtest.js View 1 chunk +14 lines, -0 lines 0 comments ? errors Download
Commit:

Messages

Total messages: 12
justinlin (ooo)
Hi Aaron, PTAL. This is a skeleton for the new chrome extension API. Mark Foltz ...
1 year, 4 months ago #1
justinlin (ooo)
On 2012/12/06 01:02:35, justinlin wrote: > Hi Aaron, PTAL. This is a skeleton for the ...
1 year, 4 months ago #2
Matt Perry
LGTM, some small nits. https://codereview.chromium.org/11444020/diff/4002/chrome/common/extensions/api/dial.idl File chrome/common/extensions/api/dial.idl (right): https://codereview.chromium.org/11444020/diff/4002/chrome/common/extensions/api/dial.idl#newcode68 chrome/common/extensions/api/dial.idl:68: static void onDeviceList(DialDevice[] result); onDeviceListChanged ...
1 year, 4 months ago #3
justinlin (ooo)
https://codereview.chromium.org/11444020/diff/4002/chrome/common/extensions/api/dial.idl File chrome/common/extensions/api/dial.idl (right): https://codereview.chromium.org/11444020/diff/4002/chrome/common/extensions/api/dial.idl#newcode68 chrome/common/extensions/api/dial.idl:68: static void onDeviceList(DialDevice[] result); On 2012/12/07 23:52:52, Matt Perry ...
1 year, 4 months ago #4
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/justinlin@chromium.org/11444020/23039
1 year, 4 months ago #5
I haz the power (commit-bot)
Presubmit check for 11444020-23039 failed and returned exit status 1. Running presubmit commit checks ...
1 year, 4 months ago #6
sail
profiles/* LGMT!
1 year, 4 months ago #7
sail
On 2012/12/11 00:40:33, sail wrote: > profiles/* LGMT! Argh, LGTM!
1 year, 4 months ago #8
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/justinlin@chromium.org/11444020/23039
1 year, 4 months ago #9
I haz the power (commit-bot)
Presubmit check for 11444020-23039 failed and returned exit status 1. Running presubmit commit checks ...
1 year, 4 months ago #10
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/justinlin@chromium.org/11444020/24003
1 year, 4 months ago #11
I haz the power (commit-bot)
1 year, 4 months ago #12
Message was sent while issue was closed.
Change committed as 172243
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1280:2d3e6564b7b6